com.google.gwt.user.cellview.client

## Interface CellTable.Resources

All Superinterfaces:
  ClientBundle

All Known Subinterfaces:
  CellTable.BasicResources

Enclosing class:
  CellTable<T>

    public static interface CellTable.Resources
    extends ClientBundle

A ClientBundle that provides images for this widget.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

`ClientBundle.Source`

### Method Summary

All Methods Instance Methods Abstract Methods
`ImageResource` `cellTableFooterBackground()` The background used for footer cells.
`ImageResource` `cellTableHeaderBackground()` The background used for header cells.
`ImageResource` `cellTableLoading()` The loading indicator used while the table is waiting for data.
`ImageResource` `cellTableSelectedBackground()` The background used for selected cells.
`ImageResource` `cellTableSortAscending()` Icon used when a column is sorted in ascending order.
`ImageResource` `cellTableSortDescending()` Icon used when a column is sorted in descending order.
`CellTable.Style` `cellTableStyle()` The styles used in this widget.

### Method Detail

#### cellTableFooterBackground

    @ClientBundle.Source(value="cellTableHeaderBackground.png")
     @ImageResource.ImageOptions(repeatStyle=Horizontal,
                                flipRtl=true)
    ImageResource cellTableFooterBackground()

The background used for footer cells.

#### cellTableHeaderBackground

    @ImageResource.ImageOptions(repeatStyle=Horizontal,
                                flipRtl=true)
    ImageResource cellTableHeaderBackground()

The background used for header cells.

#### cellTableLoading

    @ImageResource.ImageOptions(flipRtl=true)
    ImageResource cellTableLoading()

The loading indicator used while the table is waiting for data.

#### cellTableSelectedBackground

    @ClientBundle.Source(value="cellListSelectedBackground.png")
     @ImageResource.ImageOptions(repeatStyle=Horizontal,
                                flipRtl=true)
    ImageResource cellTableSelectedBackground()

The background used for selected cells.

#### cellTableSortAscending

    @ClientBundle.Source(value="sortAscending.png")
     @ImageResource.ImageOptions(flipRtl=true)
    ImageResource cellTableSortAscending()

Icon used when a column is sorted in ascending order.

#### cellTableSortDescending

    @ClientBundle.Source(value="sortDescending.png")
     @ImageResource.ImageOptions(flipRtl=true)
    ImageResource cellTableSortDescending()

Icon used when a column is sorted in descending order.

#### cellTableStyle

    @ClientBundle.Source(value="com/google/gwt/user/cellview/client/CellTable.css")
    CellTable.Style cellTableStyle()

The styles used in this widget.